## org.apache.tools.ant.util
Class CollectionUtils.EmptyEnumeration<E>

    java.lang.Object
      org.apache.tools.ant.util.CollectionUtils.EmptyEnumeration<E>

All Implemented Interfaces:
  java.util.Enumeration<E>

Enclosing class:
  CollectionUtils

    public static final class CollectionUtils.EmptyEnumeration<E>

extends java.lang.Object
implements java.util.Enumeration<E>

An empty enumeration.

Since:
  Ant 1.6

Constructor Summary
`CollectionUtils.EmptyEnumeration()` Constructor for the EmptyEnumeration

Method Summary
`boolean` `hasMoreElements()`
`E` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionUtils.EmptyEnumeration

    public CollectionUtils.EmptyEnumeration()

  Constructor for the EmptyEnumeration

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration<E>`
  Returns:
    false always.

### nextElement

    public E nextElement()
                  throws java.util.NoSuchElementException

  Specified by:
    `nextElement` in interface `java.util.Enumeration<E>`
  Returns:
    nothing.
  Throws:
    `java.util.NoSuchElementException` - always.